Subject: bug#41962: Errors in man coreutils pages

From: Pádraig Brady <[email-masked]>
Date: Sat, 20 Jun 2020 18:25:25 +0100

On 20/06/2020 07:48, Helge Kreutzmann wrote:

Thanks for reporting these issues.
They should be addressed in the attached.

> Man page: rm.1
> Issue: FIXME I<> → B<>
> 
> "B<--preserve-root>[=I<\\,all\\/>]"

The 'I' is auto generated by help2man and consistent with other uses.
What's the specific issue here?

thanks!
Pádraig
>From ab4085b2fbaa65523a1c0bbccc0e973a53e3171b Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?P=C3=A1draig=20Brady?= <[email-masked]>
Date: Sat, 20 Jun 2020 18:20:04 +0100
Subject: [PATCH] doc: fix punctuation in man pages

* man/chmod.x: Add missing punctuation.
* src/expand-common.c: Likewise.
* src/numfmt.c: Likewise.
* src/rm.c: Likewise.

Fixes https://bugs.gnu.org/41962
---
 man/chmod.x         | 2 +-
 src/expand-common.c | 2 +-
 src/numfmt.c        | 2 +-
 src/rm.c            | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/man/chmod.x b/man/chmod.x
index 90e79f003..89643dea8 100644
--- a/man/chmod.x
+++ b/man/chmod.x
@@ -99,7 +99,7 @@ To clear these bits for directories with a numeric mode requires
 an additional leading zero, or leading = like
 .B 00755
 , or
-.B =755
+.B =755 .
 .SH "RESTRICTED DELETION FLAG OR STICKY BIT"
 The restricted deletion flag or sticky bit is a single bit, whose
 interpretation depends on the file type.  For directories, it prevents
diff --git a/src/expand-common.c b/src/expand-common.c
index e4209a015..06ffe00a8 100644
--- a/src/expand-common.c
+++ b/src/expand-common.c
@@ -388,7 +388,7 @@ emit_tab_list_info (void)
 {
   /* suppress syntax check for emit_mandatory_arg_note() */
   fputs (_("\
-  -t, --tabs=LIST  use comma separated list of tab positions\n\
+  -t, --tabs=LIST  use comma separated list of tab positions.\n\
 "), stdout);
   fputs (_("\
                      The last specified position can be prefixed with '/'\n\
diff --git a/src/numfmt.c b/src/numfmt.c
index 8871a8c01..02c9c1b79 100644
--- a/src/numfmt.c
+++ b/src/numfmt.c
@@ -895,7 +895,7 @@ Reformat NUMBER(s), or the numbers from standard input if none are specified.\n\
   -d, --delimiter=X    use X instead of whitespace for field delimiter\n\
 "), stdout);
       fputs (_("\
-      --field=FIELDS   replace the numbers in these input fields (default=1)\n\
+      --field=FIELDS   replace the numbers in these input fields (default=1);\n\
                          see FIELDS below\n\
 "), stdout);
       fputs (_("\
diff --git a/src/rm.c b/src/rm.c
index 370a632f0..5deeac8fb 100644
--- a/src/rm.c
+++ b/src/rm.c
@@ -180,7 +180,7 @@ use one of these commands:\n\
 \n\
 Note that if you use rm to remove a file, it might be possible to recover\n\
 some of its contents, given sufficient expertise and/or time.  For greater\n\
-assurance that the contents are truly unrecoverable, consider using shred.\n\
+assurance that the contents are truly unrecoverable, consider using shred(1).\n\
 "), stdout);
       emit_ancillary_info (PROGRAM_NAME);
     }
-- 
2.26.2